## horizon-2012.01~e1~20111108.1019.tar.gz

=== horizon/Makefile ===
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/horizon
PROJECT=horizon

all:
	@echo "make buildout - Run through buildout"
	@echo "make test - Run tests"
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

buildout: ./bin/buildout
	./bin/buildout

./bin/buildout:
	$(PYTHON) bootstrap.py

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

builddeb:
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	#dpkg-buildpackage -i -I -rfakeroot
	dpkg-buildpackage -b -rfakeroot -tc -uc -D

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

=== openstack-dashboard/debian/control ===
Source: openstack-dashboard
Section: python
Priority: optional
Maintainer: Anthony Young (sleepsonthefloor)
Build-Depends: debhelper (>=7.0.50~), python-support (>= 0.6), cdbs (>= 0.4.49), python-all-dev
XS-Python-Version: >=2.5
Standards-Version: 3.9.1

Package: openstack-dashboard
Architecture: all
Homepage: https://github.com/4P/openstack-dashboard
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}
Description: Dashboard for Openstack
 Here you should put a long description your package. This line *MUST* (this is
 for default printing) begin with a single space.
 Look for more information about this.
